<?php

namespace Raket\Mail\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MailTransformer extends TransformerAbstract
{
    public function transform(\Raket\Mail\Models\Mail $mail)
    {
        return [
            'id'                => $mail->getRouteKey(),
            'key'               => [
                'public'    => $mail->getPublicKey(),
                'route'     => $mail->getRouteKey(),
            ], 
            'name'              => $mail->name,
            'email'             => $mail->email,
            'url'               => [
                'public'    => trans_url('mail/'.$mail->getPublicKey()),
                'user'      => guard_url('mail/mail/'.$mail->getRouteKey()),
            ], 
            'status'            => trans('app.'.$mail->status),
            'created_at'        => format_date($mail->created_at),
            'updated_at'        => format_date($mail->updated_at),
        ];
    }
}